# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.lucene.search.spell.SpellChecker
Modifier and Type
Constant Field
Value
`public static final float`
`DEFAULT_ACCURACY`
`0.5f`
`public static final String`
`F_WORD`
`"word"`

org.apache.lucene.search.suggest.FileDictionary
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_FIELD_DELIMITER`
`"\t"`

org.apache.lucene.search.suggest.analyzing.AnalyzingInfixSuggester
Modifier and Type
Constant Field
Value
`protected static final String`
`CONTEXTS_FIELD_NAME`
`"contexts"`
`public static final boolean`
`DEFAULT_ALL_TERMS_REQUIRED`
`true`
`protected static final boolean`
`DEFAULT_CLOSE_INDEXWRITER_ON_BUILD`
`true`
`public static final boolean`
`DEFAULT_HIGHLIGHT`
`true`
`public static final int`
`DEFAULT_MIN_PREFIX_CHARS`
`4`
`protected static final String`
`EXACT_TEXT_FIELD_NAME`
`"exacttext"`
`protected static final String`
`TEXT_FIELD_NAME`
`"text"`
`protected static final String`
`TEXTGRAMS_FIELD_NAME`
`"textgrams"`
org.apache.lucene.search.suggest.analyzing.AnalyzingSuggester
Modifier and Type
Constant Field
Value
`public static final int`
`EXACT_FIRST`
`1`
`public static final int`
`PRESERVE_SEP`
`2`
org.apache.lucene.search.suggest.analyzing.FreeTextSuggester
Modifier and Type
Constant Field
Value
`public static final double`
`ALPHA`
`0.4`
`public static final String`
`CODEC_NAME`
`"freetextsuggest"`
`public static final int`
`DEFAULT_GRAMS`
`2`
`public static final byte`
`DEFAULT_SEPARATOR`
`0x1e`
`public static final int`
`VERSION_CURRENT`
`0`
`public static final int`
`VERSION_START`
`0`
org.apache.lucene.search.suggest.analyzing.FuzzySuggester
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_EDITS`
`1`
`public static final int`
`DEFAULT_MIN_FUZZY_LENGTH`
`3`
`public static final int`
`DEFAULT_NON_FUZZY_PREFIX`
`1`
`public static final boolean`
`DEFAULT_TRANSPOSITIONS`
`true`
`public static final boolean`
`DEFAULT_UNICODE_AWARE`
`false`
org.apache.lucene.search.suggest.analyzing.SuggestStopFilterFactory
Modifier and Type
Constant Field
Value
`public static final String`
`FORMAT_SNOWBALL`
`"snowball"`
`public static final String`
`FORMAT_WORDSET`
`"wordset"`
`public static final String`
`NAME`
`"suggestStop"`

org.apache.lucene.search.suggest.document.ContextSuggestField
Modifier and Type
Constant Field
Value
`public static final int`
`CONTEXT_SEPARATOR`
`29`
org.apache.lucene.search.suggest.document.FuzzyCompletionQuery
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_EDITS`
`1`
`public static final int`
`DEFAULT_MIN_FUZZY_LENGTH`
`3`
`public static final int`
`DEFAULT_NON_FUZZY_PREFIX`
`1`
`public static final boolean`
`DEFAULT_TRANSPOSITIONS`
`true`
`public static final boolean`
`DEFAULT_UNICODE_AWARE`
`false`

org.apache.lucene.search.suggest.fst.FSTCompletion
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUCKETS`
`10`
org.apache.lucene.search.suggest.fst.FSTCompletionBuilder
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUCKETS`
`10`